Bug 510864 - (colorize) Review Request: colorize - Perl script to colorize logs
Review Request: colorize - Perl script to colorize logs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
http://colorize.raszi.hu/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-11 15:33 EDT by Pavel Alexeev
Modified: 2011-01-04 12:34 EST (History)
3 users (show)

See Also:
Fixed In Version: colorize-0.3.4-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-28 15:58:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2009-07-11 15:33:59 EDT
Spec URL: http://hubbitus.net.ru/rpm/Fedora11/colorize/colorize.spec
SRPM URL: http://hubbitus.net.ru/rpm/Fedora11/colorize/colorize-0.3.4-1.fc11.src.rpm
Description:
This is a short perl script to colorize your logs. You can use your
own colors, you can simply modify your config file in your home
directory, or system-wide (/etc/colorize).
Comment 1 Juha Tuomala 2009-07-29 16:16:50 EDT
Hmmm... not sure is that a blocker but website could use some love. (currently empty).
Comment 2 Pavel Alexeev 2009-07-29 16:47:53 EDT
Upstream website dead many time. Is it really problem? You can see it in archive - link in comment in spec file.
Comment 3 Jason Tibbitts 2009-08-01 01:00:59 EDT
I think that the package simply shouldn't have a URL if the URL isn't valid or doesn't have anything to do with the package.  You can include a comment referring to the archived site, or even refer to the archived site directly if you like.  Of course, the state of the web site begs a more important question: is upstream still around, and if not then are you sure you want to package undeveloped software?  Who will handle the bugs?  Are you prepared to fork and maintain this software yourself.  (Yes, it's just a log colorizer, but someone still has to maintain it.)
Comment 4 Pavel Alexeev 2009-08-01 01:58:34 EDT
Jason Tibbitts, yes, I'm plan handle bugs himself. If there will be necessity, I "fork" project.
Comment 5 manuel wolfshant 2010-07-14 20:16:44 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64, EL-6/x86_64
 [x] Rpmlint output:
source RPM:
colorize.src: W: spelling-error Summary(en_US) скрипт
colorize.src: W: spelling-error Summary(en_US) для
colorize.src: W: spelling-error Summary(en_US) раскрашивания
colorize.src: W: spelling-error Summary(en_US) логов
colorize.src: W: spelling-error %description -l en_US Этот
colorize.src: W: spelling-error %description -l en_US короткий
colorize.src: W: spelling-error %description -l en_US скрипт
colorize.src: W: spelling-error %description -l en_US раскрашивает
colorize.src: W: spelling-error %description -l en_US Ваши
colorize.src: W: spelling-error %description -l en_US логи
colorize.src: W: spelling-error %description -l en_US Вы
colorize.src: W: spelling-error %description -l en_US можете
colorize.src: W: spelling-error %description -l en_US изменять
colorize.src: W: spelling-error %description -l en_US цвета
colorize.src: W: spelling-error %description -l en_US по
colorize.src: W: spelling-error %description -l en_US своему
colorize.src: W: spelling-error %description -l en_US усмотрению
colorize.src: W: spelling-error %description -l en_US как
colorize.src: W: spelling-error %description -l en_US на
colorize.src: W: spelling-error %description -l en_US уровне
colorize.src: W: spelling-error %description -l en_US пользователя
colorize.src: W: spelling-error %description -l en_US редактируюя
colorize.src: W: spelling-error %description -l en_US конфиг
colorize.src: W: spelling-error %description -l en_US в
colorize.src: W: spelling-error %description -l en_US домашней
colorize.src: W: spelling-error %description -l en_US директории
colorize.src: W: spelling-error %description -l en_US или
colorize.src: W: spelling-error %description -l en_US системы
colorize.src: W: spelling-error %description -l en_US редактируя
colorize.src: W: spelling-error %description -l en_US сис
colorize.src: W: spelling-error %description -l en_US темный
->To be honest I do not understand why does rpmlint try to analyze the Russian text using the en_US parser. Anyway I guess all these warnings are ignorable.

colorize.src: W: invalid-url Source0: http://colorize.raszi.hu/download/colorize_0.3.4.tar.gz HTTP Error 404: Not Found
->http://colorize.raszi.hu/ does not point to a valid location any more. Please either use a valid URL or make a note that there is no valid upstream and ditch the "http" part.

binary RPM:
colorize.noarch: W: name-repeated-in-summary C colorize
-> ignorable, it's part of a valid phrase
colorize.noarch: I: enchant-dictionary-not-found pl
colorize.noarch: I: enchant-dictionary-not-found ru
->lack of hunspell support on my system, ignorable
colorize.noarch: W: spelling-error %description -l en_US perl -> Perl, peel, perk
colorize.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
-> ignorable

 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [?] Sources used to build the package match the upstream source, as provided in the spec URL.
 ->   no upstream

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
-> koji scratch builds were succesful for devel and EL-6
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: devel/x86_64, EL-6 (beta)/x86_64
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.


=== Issues ===
1. Please fix the Source tag
2. The changelog has a couple of typos: %%{booildroot} should be %%{buildroot}, "becouse" should be "because". however I think that the whole changelog is way too long. I would just make it "Initial version based on PLD's rpm". Your call, this is just a suggestion.

=== Final Notes ===
1. Please fix the Source tag and you are good to go


================
*** APPROVED ***
================
Comment 6 Pavel Alexeev 2010-07-16 17:50:09 EDT
Manuel, do you think I shoulkd place http://web.archive.org/web/20040604132106/http://colorize.raszi.hu/downloads/colorize_0.3.4.tar.bz2 in Source0?

Mentioned typos in changelog fixed, thank you.
What it imported from PLD repository already mentioned in first line of changelog entry. And all old entries removed by your suggestion.

http://hubbitus.net.ru/rpm/Fedora11/colorize/colorize-0.3.4-2.fc11.src.rpm

Manuel, thank you very much for the review.

New Package CVS Request
=======================
Package Name: colorize
Short Description: Perl script to colorize logs
Owners: hubbitus
Branches: F-12 F-13 EL-5 EL-6
InitialCC:
Comment 7 Kevin Fenzi 2010-07-17 01:42:56 EDT
CVS done (by process-cvs-requests.py).
Comment 8 manuel wolfshant 2010-07-17 08:52:09 EDT
(In reply to comment #6)
> Manuel, do you think I shoulkd place
> http://web.archive.org/web/20040604132106/http://colorize.raszi.hu/downloads/colorize_0.3.4.tar.bz2
> in Source0?

To be honest, I would not do that because no one knows how long will archive.org preserve anything AND they are not the actual upstream. I would at most add a comment refering to the archive web site.
Now, looking again over Jason's comment, I think that preserving the original (and now useless ) URL is not a good idea. I suggest to comment it and mention that the original site no longer exists.


>What it imported from PLD repository already mentioned in first line of
>changelog entry. And all old entries removed by your suggestion.
In my opinion all the comments from the first entry of the changelog could be removed. Just make it:

- Initial version, based on ftp://ftp.icm.edu.pl/vol/rzm1/linux-pld-linux/dists/3.0/PLD/SRPMS/RPMS/colorize-0.3.4-1.src.rpm
- Add Russian summary and description

That's all that one might care for when looking at the Fedora package. If they are really interested in the changes towards the PLD version, they can download the PLD one and compare. As user of the package, I could not care less about the state of the original PLD package.



> Branches: F-12 F-13 EL-5 EL-6
Thank you for asking for EPEL branches.
Comment 9 Pavel Alexeev 2010-07-19 04:28:43 EDT
What worth adding external AUTHORS file, when authors did not done it? Futhermore, we put url (in the comments) on saved page where they are mentioned for history.

Thanks for spell check :)
Comment 10 Pavel Alexeev 2010-07-19 04:30:27 EDT
Sorry, last comment for another bug (trafshow).
Comment 11 Pavel Alexeev 2010-07-28 10:33:44 EDT
(In reply to comment #8)
> (In reply to comment #6)
> > Manuel, do you think I shoulkd place
> > http://web.archive.org/web/20040604132106/http://colorize.raszi.hu/downloads/colorize_0.3.4.tar.bz2
> > in Source0?
> 
> To be honest, I would not do that because no one knows how long will
> archive.org preserve anything AND they are not the actual upstream.
Now we have not any information what it should be end shortly.
Why we can't treat it as mirror?

> >What it imported from PLD repository already mentioned in first line of
> >changelog entry. And all old entries removed by your suggestion.
> In my opinion all the comments from the first entry of the changelog could be
> removed. Just make it:
> 
> - Initial version, based on
> ftp://ftp.icm.edu.pl/vol/rzm1/linux-pld-linux/dists/3.0/PLD/SRPMS/RPMS/colorize-0.3.4-1.src.rpm
> - Add Russian summary and description
Ok, I'll do that.
Comment 12 Kevin Fenzi 2010-12-20 00:10:19 EST
Looks like this package was never imported and built?
Comment 13 Pavel Alexeev 2010-12-20 04:02:41 EST
Regardless of review+ flag I wait answer about URL from Manuel. But you are right, I'll go build them - there many time spent...
Kevin, thank you for catch.
Comment 14 manuel wolfshant 2010-12-20 04:27:00 EST
Ah, I am sorry. You should not have waited for my reply. I still find a bit odd to use webarchive as upstream, but I  I'll leave the decision to your best judgement. Please do go ahead and import it for all distros/releases that you can support.

Thank you.
Comment 15 Pavel Alexeev 2010-12-20 04:41:45 EST
Ok, then I leave it as is.

Thank you for the review.

Import follow.
Comment 16 Fedora Update System 2010-12-20 05:04:54 EST
colorize-0.3.4-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/colorize-0.3.4-2.fc14
Comment 17 Fedora Update System 2010-12-20 05:05:16 EST
colorize-0.3.4-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/colorize-0.3.4-2.fc13
Comment 18 Fedora Update System 2010-12-20 05:05:58 EST
colorize-0.3.4-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/colorize-0.3.4-2.el5
Comment 19 Fedora Update System 2010-12-20 12:29:45 EST
colorize-0.3.4-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update colorize'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/colorize-0.3.4-2.el5
Comment 20 Fedora Update System 2010-12-28 15:58:12 EST
colorize-0.3.4-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2010-12-28 15:58:25 EST
colorize-0.3.4-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2011-01-04 12:34:24 EST
colorize-0.3.4-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.